## WebKitDOMHTMLDocument WebKitDOMHTMLDocument |

## Functions

void | webkit_dom_html_document_close ()
void | webkit_dom_html_document_clear ()
void | webkit_dom_html_document_capture_events ()
void | webkit_dom_html_document_release_events ()
gboolean | webkit_dom_html_document_has_focus ()
WebKitDOMHTMLCollection * | webkit_dom_html_document_get_embeds ()
WebKitDOMHTMLCollection * | webkit_dom_html_document_get_plugins ()
WebKitDOMHTMLCollection * | webkit_dom_html_document_get_scripts ()
glong | webkit_dom_html_document_get_width ()
glong | webkit_dom_html_document_get_height ()
gchar * | webkit_dom_html_document_get_dir ()
void | webkit_dom_html_document_set_dir ()
gchar * | webkit_dom_html_document_get_design_mode ()
void | webkit_dom_html_document_set_design_mode ()
gchar * | webkit_dom_html_document_get_compat_mode ()
WebKitDOMElement * | webkit_dom_html_document_get_active_element ()
gchar * | webkit_dom_html_document_get_bg_color ()
void | webkit_dom_html_document_set_bg_color ()
gchar * | webkit_dom_html_document_get_fg_color ()
void | webkit_dom_html_document_set_fg_color ()
gchar * | webkit_dom_html_document_get_alink_color ()
void | webkit_dom_html_document_set_alink_color ()
gchar * | webkit_dom_html_document_get_link_color ()
void | webkit_dom_html_document_set_link_color ()
gchar * | webkit_dom_html_document_get_vlink_color ()
void | webkit_dom_html_document_set_vlink_color ()
void | webkit_dom_html_document_open ()

## Properties

WebKitDOMElement * | active-element | Read
gchar * | alink-color | Read / Write
gchar * | bg-color | Read / Write
gchar * | compat-mode | Read
gchar * | design-mode | Read / Write
gchar * | dir | Read / Write
WebKitDOMHTMLCollection * | embeds | Read
gchar * | fg-color | Read / Write
glong | height | Read
gchar * | link-color | Read / Write
WebKitDOMHTMLCollection * | plugins | Read
WebKitDOMHTMLCollection * | scripts | Read
gchar * | vlink-color | Read / Write
glong | width | Read

## Types and Values

| WebKitDOMHTMLDocument

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMDocument
                    ╰── WebKitDOMHTMLDocument

## Implemented Interfaces

WebKitDOMHTMLDocument implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_document_close ()

    void
    webkit_dom_html_document_close (WebKitDOMHTMLDocument *self);

#### Parameters

self | A WebKitDOMHTMLDocument |

### webkit_dom_html_document_clear ()

    void
    webkit_dom_html_document_clear (WebKitDOMHTMLDocument *self);

#### Parameters

self | A WebKitDOMHTMLDocument |

### webkit_dom_html_document_capture_events ()

    void
    webkit_dom_html_document_capture_events
                                   (WebKitDOMHTMLDocument *self);

#### Parameters

self | A WebKitDOMHTMLDocument |

### webkit_dom_html_document_release_events ()

    void
    webkit_dom_html_document_release_events
                                   (WebKitDOMHTMLDocument *self);

#### Parameters

self | A WebKitDOMHTMLDocument |

### webkit_dom_html_document_has_focus ()

    gboolean
    webkit_dom_html_document_has_focus (WebKitDOMHTMLDocument *self);

#### Parameters

self | A WebKitDOMHTMLDocument |

#### Returns

A gboolean

### webkit_dom_html_document_get_embeds ()

    WebKitDOMHTMLCollection *
    webkit_dom_html_document_get_embeds (WebKitDOMHTMLDocument *self);

#### Parameters

self | A WebKitDOMHTMLDocument |

#### Returns

A WebKitDOMHTMLCollection.

[transfer full]

### webkit_dom_html_document_get_plugins ()

    WebKitDOMHTMLCollection *
    webkit_dom_html_document_get_plugins (WebKitDOMHTMLDocument *self);

#### Parameters

self | A WebKitDOMHTMLDocument |

#### Returns

A WebKitDOMHTMLCollection.

[transfer full]

### webkit_dom_html_document_get_scripts ()

    WebKitDOMHTMLCollection *
    webkit_dom_html_document_get_scripts (WebKitDOMHTMLDocument *self);

#### Parameters

self | A WebKitDOMHTMLDocument |

#### Returns

A WebKitDOMHTMLCollection.

[transfer full]

### webkit_dom_html_document_get_width ()

    glong
    webkit_dom_html_document_get_width (WebKitDOMHTMLDocument *self);

#### Parameters

self | A WebKitDOMHTMLDocument |

#### Returns

A glong

### webkit_dom_html_document_get_height ()

    glong
    webkit_dom_html_document_get_height (WebKitDOMHTMLDocument *self);

#### Parameters

self | A WebKitDOMHTMLDocument |

#### Returns

A glong

### webkit_dom_html_document_get_dir ()

    gchar *
    webkit_dom_html_document_get_dir (WebKitDOMHTMLDocument *self);

#### Parameters

self | A WebKitDOMHTMLDocument |

#### Returns

A gchar

### webkit_dom_html_document_set_dir ()

    void
    webkit_dom_html_document_set_dir (WebKitDOMHTMLDocument *self,
                                      const gchar *value);

#### Parameters

self | A WebKitDOMHTMLDocument |
value | A gchar |

### webkit_dom_html_document_get_design_mode ()

    gchar *
    webkit_dom_html_document_get_design_mode
                                   (WebKitDOMHTMLDocument *self);

#### Parameters

self | A WebKitDOMHTMLDocument |

#### Returns

A gchar

### webkit_dom_html_document_set_design_mode ()

    void
    webkit_dom_html_document_set_design_mode
                                   (WebKitDOMHTMLDocument *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLDocument |
value | A gchar |

### webkit_dom_html_document_get_compat_mode ()

    gchar *
    webkit_dom_html_document_get_compat_mode
                                   (WebKitDOMHTMLDocument *self);

#### Parameters

self | A WebKitDOMHTMLDocument |

#### Returns

A gchar

### webkit_dom_html_document_get_active_element ()

    WebKitDOMElement *
    webkit_dom_html_document_get_active_element
                                   (WebKitDOMHTMLDocument *self);

#### Parameters

self | A WebKitDOMHTMLDocument |

#### Returns

A WebKitDOMElement.

[transfer none]

### webkit_dom_html_document_get_bg_color ()

    gchar *
    webkit_dom_html_document_get_bg_color (WebKitDOMHTMLDocument *self);

#### Parameters

self | A WebKitDOMHTMLDocument |

#### Returns

A gchar

### webkit_dom_html_document_set_bg_color ()

    void
    webkit_dom_html_document_set_bg_color (WebKitDOMHTMLDocument *self,
                                           const gchar *value);

#### Parameters

self | A WebKitDOMHTMLDocument |
value | A gchar |

### webkit_dom_html_document_get_fg_color ()

    gchar *
    webkit_dom_html_document_get_fg_color (WebKitDOMHTMLDocument *self);

#### Parameters

self | A WebKitDOMHTMLDocument |

#### Returns

A gchar

### webkit_dom_html_document_set_fg_color ()

    void
    webkit_dom_html_document_set_fg_color (WebKitDOMHTMLDocument *self,
                                           const gchar *value);

#### Parameters

self | A WebKitDOMHTMLDocument |
value | A gchar |

### webkit_dom_html_document_get_alink_color ()

    gchar *
    webkit_dom_html_document_get_alink_color
                                   (WebKitDOMHTMLDocument *self);

#### Parameters

self | A WebKitDOMHTMLDocument |

#### Returns

A gchar

### webkit_dom_html_document_set_alink_color ()

    void
    webkit_dom_html_document_set_alink_color
                                   (WebKitDOMHTMLDocument *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLDocument |
value | A gchar |

### webkit_dom_html_document_get_link_color ()

    gchar *
    webkit_dom_html_document_get_link_color
                                   (WebKitDOMHTMLDocument *self);

#### Parameters

self | A WebKitDOMHTMLDocument |

#### Returns

A gchar

### webkit_dom_html_document_set_link_color ()

    void
    webkit_dom_html_document_set_link_color
                                   (WebKitDOMHTMLDocument *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLDocument |
value | A gchar |

### webkit_dom_html_document_get_vlink_color ()

    gchar *
    webkit_dom_html_document_get_vlink_color
                                   (WebKitDOMHTMLDocument *self);

#### Parameters

self | A WebKitDOMHTMLDocument |

#### Returns

A gchar

### webkit_dom_html_document_set_vlink_color ()

    void
    webkit_dom_html_document_set_vlink_color
                                   (WebKitDOMHTMLDocument *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLDocument |
value | A gchar |

### webkit_dom_html_document_open ()

    void
    webkit_dom_html_document_open (WebKitDOMHTMLDocument *self);

`webkit_dom_html_document_open` is deprecated and should not be used in newly-written code.

## Types and Values

### WebKitDOMHTMLDocument

    typedef struct _WebKitDOMHTMLDocument WebKitDOMHTMLDocument;

## Property Details

### The `“active-element”` property

      “active-element”           WebKitDOMElement *

read-only WebKitDOMElement* HTMLDocument:active-element.

Flags: Read

### The `“alink-color”` property

      “alink-color”              gchar *

read-write gchar* HTMLDocument:alink-color.

Flags: Read / Write

Default value: ""

### The `“bg-color”` property

      “bg-color”                 gchar *

read-write gchar* HTMLDocument:bg-color.

Flags: Read / Write

Default value: ""

### The `“compat-mode”` property

      “compat-mode”              gchar *

read-only gchar* HTMLDocument:compat-mode.

Flags: Read

Default value: ""

### The `“design-mode”` property

      “design-mode”              gchar *

read-write gchar* HTMLDocument:design-mode.

Flags: Read / Write

Default value: ""

### The `“dir”` property

      “dir”                      gchar *

read-write gchar* HTMLDocument:dir.

Flags: Read / Write

Default value: ""

### The `“embeds”` property

      “embeds”                   WebKitDOMHTMLCollection *

read-only WebKitDOMHTMLCollection* HTMLDocument:embeds.

Flags: Read

### The `“fg-color”` property

      “fg-color”                 gchar *

read-write gchar* HTMLDocument:fg-color.

Flags: Read / Write

Default value: ""

### The `“height”` property

      “height”                   glong

read-only glong HTMLDocument:height.

Flags: Read

Default value: 0

### The `“link-color”` property

      “link-color”               gchar *

read-write gchar* HTMLDocument:link-color.

Flags: Read / Write

Default value: ""

### The `“plugins”` property

      “plugins”                  WebKitDOMHTMLCollection *

read-only WebKitDOMHTMLCollection* HTMLDocument:plugins.

Flags: Read

### The `“scripts”` property

      “scripts”                  WebKitDOMHTMLCollection *

read-only WebKitDOMHTMLCollection* HTMLDocument:scripts.

Flags: Read

### The `“vlink-color”` property

      “vlink-color”              gchar *

read-write gchar* HTMLDocument:vlink-color.

Flags: Read / Write

Default value: ""

### The `“width”` property

      “width”                    glong

read-only glong HTMLDocument:width.

Flags: Read

Default value: 0